GlueGen: com.jogamp.junit.util.MiscUtils.CopyStats Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Public Attributes | List of all members
com.jogamp.junit.util.MiscUtils.CopyStats Class Reference
Collaboration diagram for com.jogamp.junit.util.MiscUtils.CopyStats:

## Public Member Functions

void | dump (final String prefix, final boolean folderOnly)

## Public Attributes

int | totalBytes = 0
int | totalFiles = 0
int | totalFolders = 0
int | currentDepth = 0
int | maxDepth = 0
boolean | trackFiles
final List< File > | srcFiles = new ArrayList<File>()
final List< File > | dstFiles = new ArrayList<File>()

## Detailed Description

Definition at line 41 of file MiscUtils.java.

## Member Function Documentation

## ◆ dump()

void com.jogamp.junit.util.MiscUtils.CopyStats.dump | ( | final String | prefix,
|  | final boolean | folderOnly
| ) |  |

Definition at line 51 of file MiscUtils.java.

## Member Data Documentation

## ◆ currentDepth

int com.jogamp.junit.util.MiscUtils.CopyStats.currentDepth = 0

Definition at line 45 of file MiscUtils.java.

## ◆ dstFiles

final List<File> com.jogamp.junit.util.MiscUtils.CopyStats.dstFiles = new ArrayList<File>()

Definition at line 49 of file MiscUtils.java.

## ◆ maxDepth

int com.jogamp.junit.util.MiscUtils.CopyStats.maxDepth = 0

Definition at line 46 of file MiscUtils.java.

## ◆ srcFiles

final List<File> com.jogamp.junit.util.MiscUtils.CopyStats.srcFiles = new ArrayList<File>()

Definition at line 48 of file MiscUtils.java.

## ◆ totalBytes

int com.jogamp.junit.util.MiscUtils.CopyStats.totalBytes = 0

Definition at line 42 of file MiscUtils.java.

## ◆ totalFiles

int com.jogamp.junit.util.MiscUtils.CopyStats.totalFiles = 0

Definition at line 43 of file MiscUtils.java.

## ◆ totalFolders

int com.jogamp.junit.util.MiscUtils.CopyStats.totalFolders = 0

Definition at line 44 of file MiscUtils.java.

## ◆ trackFiles

boolean com.jogamp.junit.util.MiscUtils.CopyStats.trackFiles

Definition at line 47 of file MiscUtils.java.

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/junit/util/MiscUtils.java